aspell (0.60.8-5) unstable; urgency=medium

  * New patches to fix minor issues with aspell.1 and run-with-aspell.1
    man pages (thanks Bjarni Ingi Gislason).
    - 8000_Fix-aspell.1--manual-page.diff (Closes: #1037059).
    - 8000_Fix-run-with-aspell.1-manual-page.diff (Closes: #1037060).
  * debian/libaspell15.lintian-overrides: Update to new format and
    document.
  * debian/source/lintian-overrides: New overrides file.
  * debian/control:
    - Update Build-Depends: libncursesw5-dev => libncurses-dev.
    - Bump Standards-Version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 12 Jun 2023 11:46:16 +0200

aspell (0.60.8-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev.
    + aspell: Drop versioned constraint on dictionaries-common in Depends.
    + aspell: Drop versioned constraint on aspell-hi and aspell-mr in Replaces.
    + aspell-doc: Drop versioned constraint on aspell in Suggests.
    + libaspell15: Drop versioned constraint on aspell-da and aspell-no in
      Breaks.

  [ Agustin Martin Domingo ]
  * Update lintian overrides.
  * debian/control:
    - Add Rules-Requires-Root: no
    - Bump Standards-Version. No changes required.
    - Bump debhelper-compat to 13.
  * debian/upstream/metadata: Add Bug-Database.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 28 Sep 2021 23:55:53 +0200

aspell (0.60.8-3) unstable; urgency=medium

  * 000-objstack-assert-that-the-alloc-size-will-fit-within-.patch:
    Fix CVE-2019-25051: objstack in GNU Aspell 0.60.8 has a heap-based
    buffer overflow (Closes: #991307).

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 20 Jul 2021 23:42:34 +0200

aspell (0.60.8-2) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Wrap long lines in changelog entries: 0.33.7-2, 0.28.2.1-2.
  * Update standards version to 4.5.0, no changes needed.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 28 Dec 2020 15:24:45 +0100

aspell (0.60.8-1) unstable; urgency=medium

  * New upstream release.
    - Includes sorting of personal and replace files (Closes: #900162).
    - Adapt old patches to new release.
    - Remove no longer needed patches:
      + 05_doc_fix.diff
      + 1000_fix-man-pages.diff
      + 1001_fix-more-man-pages.diff
      + 2001-Don-t-allow-null-terminated-UCS-2-4-strings-using-th.patch
      + 2002-Increment-library-version-to-reflect-API-changes.patch
  * debian/control: Bump Standards-version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 22 Oct 2019 12:14:04 +0200

aspell (0.60.7-3) unstable; urgency=medium

  * Upload to sid.
  * Use debhelper-compat Build-Dep. Bump compat level to 12.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 06 Sep 2019 11:52:20 +0200

aspell (0.60.7-2) experimental; urgency=medium

  * debian/rules: Make sure everything is regenerated after applying
    upstream fix for potentially unbounded buffer over-read. Thanks Kevin
    Atkinson.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 29 Aug 2019 10:08:08 +0200

aspell (0.60.7-1) experimental; urgency=medium

  * New upstream version (Closes: #934810).
  * Add upstream fix to deal with potentially unbounded buffer over-read
    in GNU Aspell 0.60.* (Closes: #935128).
  * Add upstream patch to raise library version. Modify shlibs stuff
    accordingly.
  * Add upstream gpg key and make uscan check it.
  * debian/control: Bump Standards-Version. No changes required.
  * debian/watch:
    - Use https source and raise version to 4.
    - Use generic substitution variables.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 28 Aug 2019 13:06:26 +0200

aspell (0.60.7~20110707-6) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Convert from cdbs to dh.

  [ Agustin Martin Domingo ]
  * Remove Brian Nelson from uploaders list  (Closes: #915448).
  * Ship text version of upstream changelog in doc dir.
  * Make aspell copyright DEP5.
  * Register html docs with doc-base.
  * Enable hardening flags in debian/rules.
  * Fix some typos in 1000_fix-man-pages.diff description.
  * Fix another typo in aspell man page.
  * aspell.postinst:
    - Add explicit 'set -e' line.
    - Do not hardcode aspell-autobuildhash path in test.
  * debian/control: Bump Standards-Version.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 31 Jan 2019 11:25:50 +0100

aspell (0.60.7~20110707-5) unstable; urgency=medium

  * debian/control:
    - Update Vcs-Browser and Vcs-Git for salsa migration.
    - Bump Standards-Version. No changes required.
  * Bump debhelper compat level to 10 (cdbs does not yet support 11).
  * debian/copyright: Point to specific LGPL-2 file.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 09 May 2018 12:29:22 +0200

aspell (0.60.7~20110707-4) unstable; urgency=medium

  * Upstream patch to fix build failure with GCC 7. Thanks Steve Langasek
    and Matthias Klose (Closes: #853320).
  * Bump Standards-Version.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 22 Aug 2017 13:00:10 +0200

aspell (0.60.7~20110707-3) unstable; urgency=medium

  * Really upload to sid.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 06 Mar 2015 18:38:42 +0100

aspell (0.60.7~20110707-2) experimental; urgency=medium

  * Upload to sid.
  * Bump Standards-Version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 26 Feb 2015 17:28:51 +0100

aspell (0.60.7~20110707-2~exp1) experimental; urgency=low

  [ Brian Nelson ]
  * Remove obsolete 10_autotools.diff patch

  [ Agustin Martin Domingo ]
  * Refresh quilt patches again. Did it wrongly with Index, basedir and
    timestamps.
  * control: Add myself to Uploaders.
  * 1000_fix-man-pages.diff: New patch to add minor fixes in some man
    pages. Thanks Bjarni Ingi Gislason
    (Closes: #662216, #663124, #664684).
  * Revert previous change and use "/usr/lib/aspell" again for dict and
    data dirs, preserving multiarch pkglibdir (Closes: #772415).

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 23 Feb 2015 18:19:51 +0100

aspell (0.60.7~20110707-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Break pre-multiarch arch:any aspell dictionaries.
    Their 64 bit versions will no longer work with new aspell package
    (Closes: #764189).
  * Refresh quilt patches to work around FTBFS. dpkg-source now fails
    on old format patches.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 06 Oct 2014 11:54:20 +0200

aspell (0.60.7~20110707-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Implement multiarch (Closes: #667592), (LP:#1324525, LP:#960160).
    This is only a partial multiarch implementation, where aspell hashes
    can be shared between 32/64 bit architectures with the same endianness
    (but not with different endiannesses) by always using 32bit numbers.
  * Some independent changes needed for multiarch:
    - 08_filters-info-installdir.diff: Make sure all filters related stuff
      is installed together. This should make possible to have different
      values for "pkgdatadir" and "pkglibdir" selections, thus really
      fixing (Closes: #612051).
    - Force aspell hash function to use a 32-bit integer to allow
      hashes being shared between 32 and 64 bit architectures. Note that
      they cannot be shared between systems with different endianness.
    - Modify to use "/usr/share/aspell" for arch indep stuff, except
      filters and dict description files. Change aspell compat level.
    - 09_debian-dictdir.diff: Implement a new debian specific
      "--debian-dict-dir" configure option to allow explicitly setting an
      independent path for dictionaries.
    - debian/rules: Make sure original Changelog.html is installed. It
      gets rebuilt later and may lead to problems with multiarch if
      different makeinfo versions are used in different architectures.
  * debian/control: Canonicalize Vcs-* headers.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 29 Sep 2014 12:04:58 +0200

aspell (0.60.7~20110707-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Mauricio Faria de Oliveira ]
  * Build with autoreconf. (Closes: #745075)
  * Disable 10_autotools.patch (no longer required due to the change
    above).

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 07 Aug 2014 20:53:30 +0100

aspell (0.60.7~20110707-1) unstable; urgency=low

  * New upstream snapshot 0.60.7-20110707
    - Removed 06_null_input_segfault_fix and 11_special_chars patches as
      they've been applied upstream
    - Fixes unexpected Ctrl-C quits program (Closes: #600214)
    - Partial support for recognizing the Unicode apostrophe
      (Closes: #533378)
  * Updated policy to 3.9.2, no changes necessary

 -- Brian Nelson <pyro@debian.org>  Thu, 28 Jul 2011 23:27:13 -0400

aspell (0.60.6-6) unstable; urgency=low

  * Removed the debian-changes-0.60.6-5 patch which was accidentally
    introduced.
  * Reverted the pkgdatadir change since it breaks filters.  The spell and
    ispell scripts will just be left in /usr/lib/aspell, which is a
    retarded place for them but, eh, it's just not worth fighting the
    aspell build system over it.  (Closes: #612051)

 -- Brian Nelson <pyro@debian.org>  Sat, 05 Feb 2011 09:48:49 -0500

aspell (0.60.6-5) unstable; urgency=low

  * Added a grammatical fix for aspell.1 to 05_doc_fix.diff
    (Closes: #576749)
  * debian/control: added Vcs fields for git repository
  * Added new patch 06_null_input_segfault_fix.diff
    (Closes: #596642)
  * debian/rules: changed pkgdatadir to /usr/share/aspell which is a more
    appropriate location for that data than /usr/lib/aspell, and leave the
    spell and ispell scripts there so that run-with-aspell works
    (Closes: #599653)
  * Added new patch 11_special_chars.diff from Ubuntu to support German
    umlauts (Closes: #591355)
  * Updated to policy version 3.9.1
    - Converted some "Conflicts:" to "Breaks:"
  * debian/watch: corrected to not match bogus .tar.gz files

 -- Brian Nelson <pyro@debian.org>  Fri, 04 Feb 2011 12:00:55 -0500

aspell (0.60.6-4) unstable; urgency=low

  * Bumped Standards-Version to 3.8.4, no changes necessary
  * Document output format "-" for run-together in pipe mode, thanks Jörg
    Sommer <joerg@alea.gnuu.de> for the patch. (Closes: #499570)
  * Cleaned up patch headers to remove obsolete dpatch stuff
  * Updated debian/compat to v7
  * Added a manpage for prezip/preunzip/precat.

 -- Brian Nelson <pyro@debian.org>  Wed, 10 Mar 2010 21:18:01 -0500

aspell (0.60.6-3) unstable; urgency=low

  * Switched to dpkg-source 3.0 (quilt) format
  * No longer use dpatch
  * Cleared the dependency_libs= lines in the .la files
  * Bumped Standards-Version to 3.8.3, no changes necessary
  * Added a debian/watch file

 -- Brian Nelson <pyro@debian.org>  Thu, 21 Jan 2010 20:05:20 -0800

aspell (0.60.6-2) unstable; urgency=low

  * Applied a patch from Christer Andersson <klamm@comhem.se> to add a
    filter for DDTP emails. (Closes: #457274)
  * Increased debhelper compat to v7
  * debian/control: added ${misc:Depends} dependencies to each binary
    package
  * Bumped Standards-Version to 3.8.2, no changes necessary
  * Restored the html documenation to aspell-doc, which at some point had
    gotten accidentally dropped.
  * Made dh_makeshlibs ignore files in usr/lib/aspell to fix the
    unused-shlib-entry-in-control-file lintian warning

 -- Brian Nelson <pyro@debian.org>  Sat, 15 Aug 2009 13:32:26 -0400

aspell (0.60.6-1) unstable; urgency=low

  * New upstream release
    - Removed the 03_extra_qualification_fix.dpatch,
      05_removedebug_munchlist.dpatch, and 06_add_oo-only_texi.dpatch,
      patches as they've been incorporated upstream
    - debian/patches/04_gcc43_build_fix.dpatch: updated for integrated
      fixes
  * Bumped Standards-Version to 3.8.0, no changes necessary

 -- Brian Nelson <pyro@debian.org>  Tue, 24 Jun 2008 14:50:59 -0400

aspell (0.60.5-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Applied NMU patch by Thomas Viehmann <tv@beamnet.de> to
    - Regenerate html documentation removed by make distclean. Closes: #424107
    - Clean up autotools patch. Closes: #403076
    - Add missing oo-only.texi from upstream cvs.
  * Moved changes to filter.pot into a patch.
  * Moved homepage information to its own field in debian/control.
  * Bumped Standards-Version to 3.7.3, no change needed.
  * Replaced deprecated substvars notation by new one.
  * Replaced full GFDL by reference to /usr/share/common-licenses/GFDL in
    aspell-doc.copyright to fix lintian error message.

 -- Michael Meskes <meskes@debian.org>  Wed, 23 Apr 2008 11:52:08 +0200

aspell (0.60.5-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Added additional gcc 4.3 build fixes (Closes: #452310)

 -- Michael Meskes <meskes@debian.org>  Sun, 06 Apr 2008 13:38:31 +0200

aspell (0.60.5-2) unstable; urgency=low

  * patches/04_gcc43_build_fix.dpatch: new patch to fix a (possible?) GCC
    4.3 build failure (Closes: #452310)
  * patches/05_removedebug_munchlist.dpatch: new patch from Roland
    Rosenfeld to fix invalid output in munch-list (Closes: #428285)

 -- Brian Nelson <pyro@debian.org>  Mon, 28 Jan 2008 09:29:19 -0500

aspell (0.60.5-1) unstable; urgency=low

  * New upstream release
    - Buggy '-m' option fixed (Closes: #400878)
    - Core dump with when (r)eplacing with 00 fixed (Closes: #347191)
    - Improper Tex filter handling of escaped % fixed (Closes: #347589)
    - Affix compression bug fixed (Closes: #340958)
  * Removed debian/patches/03_extra_qualification_fix.dpatch, incorporated
    upstream
  * debian/patches/10_autotools.dpatch: regenerated
  * debian/control: dropped the libaspell15c2 dummy package, as nothing in
    the archive depends on it any more

 -- Brian Nelson <pyro@debian.org>  Sat, 17 Feb 2007 20:59:32 -0500

aspell (0.60.4-4) unstable; urgency=low

  * debian/patches/03_extra_qualification_fix.dpatch: new patch to fix a
    FTBFS with GCC 4.1.  Thanks to Martin Michlmayr <tbm@cyrius.com> for
    the patch. (Closes: #356444)
  * Updated to standards version 3.7.2

 -- Brian Nelson <pyro@debian.org>  Sat, 13 May 2006 15:25:15 -0700

aspell (0.60.4-3) unstable; urgency=low

  * debian/aspell.manpages: added manual/prezip-bin.1
  * debian/rules: removed the -D argument from the install command of
    debian/aspell.compat, since the destination directory already should
    exist anyway and having it mysteriously breaks some builds (namely
    ia64 at the moment).

 -- Brian Nelson <pyro@debian.org>  Fri, 20 Jan 2006 12:26:37 -0800

aspell (0.60.4-2) unstable; urgency=low

  * Rebuilding, which should fix segfaults due to C++ ABI changes
    (Closes: #343060)
  * Renamed debian/aspell.overrides to debian/aspell.lintian, and modified
    debian/rules to install it
  * Updated FSF address in the copyright files
  * debian/aspell.lintian: added "aspell:
    package-has-a-duplicate-relation"
  * debian/patches/02_u-deva_common_data.dpatch: new patch to add
    u-deva.cset and u-deva.cmap data files, needed by aspell-hi and
    aspell-mr
  * debian/control: have aspell replace versions of aspell-hi and
    aspell-mr that contained the u-deva files

 -- Brian Nelson <pyro@debian.org>  Mon,  2 Jan 2006 20:57:57 -0800

aspell (0.60.4-1) unstable; urgency=low

  * New upstream release
  * debian/patches/10_autotools: regenerated

 -- Brian Nelson <pyro@debian.org>  Tue, 25 Oct 2005 23:43:21 -0700

aspell (0.60.3-5) unstable; urgency=low

  * Moved the 01_autotools patch to 10_autotools
  * debian/patches/01_debctrl: wrote a patch for a Debian packaging
    control file filter (Closes: #111929)
  * debian/patches/10_autotools: reran autotools to update build system so
    that it builds the debctrl filter
  * Updated aspell.1 manual to document the new debctrl filter

 -- Brian Nelson <pyro@debian.org>  Mon,  1 Aug 2005 23:56:49 -0700

aspell (0.60.3-4) unstable; urgency=low

  * manual/aspell.1: removed a stray ')' character
  * debian/control: renamed libaspell15c2 back to libaspell15, and
    replaced libaspell15c2 with a dummy package depending upon
    libaspell15.  This effectively undoes the GCC 4.0 transition.
    libaspell, like libGLU, is written in C++ but only publicly exports a
    C interface so the transition is not necessary.
    (Closes: #317873, #318187)
  * debian/control: made libaspell15 conflict with earlier versions of
    aspell-bin, since /usr/bin/aspell uses C++ linkage to libaspell and
    thus cannot be used with the libaspell15 built with GCC 4.0.
  * Don't install the spell and ispell compatibility scripts in
    /usr/lib/aspell.  Instead install them in
    /usr/share/doc/aspell/examples so that they're easier to find.
    (Closes: #273761)
  * Added support for using dpatch.
  * Created an autotools build system dpatch that contains updated gettext
    macros, which should fix build failures on some arches.
    (Closes: #316666)

 -- Brian Nelson <pyro@debian.org>  Thu, 21 Jul 2005 16:13:03 -0700

aspell (0.60.3-3) unstable; urgency=low

  * New release to fully support autobuilding dictionary hashes
  * Install a /usr/share/aspell/aspell.compat file containing a
    compatibility string used by aspell-autobuildhash from
    dictionaries-common
  * debian/aspell.postinst: run aspell-autobuildhash if the binary is
    available
  * debian/control: add a dependency on dictionaries-common (>> 0.40)
  * debian/control: no longer conflict with "aspell-dictionary", but
    instead add it to the |'d list of supported virtual dictionary
    packages.  Pre-sarge, the aspell-dictionary package was used for
    dictionaries supporting aspell 0.50.x and earlier.  Post-sarge, it
    will represent dictionaries with autobuilt hash files.

 -- Brian Nelson <pyro@debian.org>  Fri,  8 Jul 2005 07:47:03 -0700

aspell (0.60.3-2) unstable; urgency=low

  * debian/control: renamed libaspell15 to libaspell15c2 for the GCC 4.0
    ABI change transition
  * debian/control: dropped a ton of old cruft in the conflicts/replaces
    lines
  * debian/rules: pass configure flags to change pkglibdir and pkgdatadir
    from /usr/lib/aspell-0.60 to /usr/lib/aspell, which is needed to make
    dictionary auto-hash-building transitions to newer Aspell versions
    less painful.  Note that this breaks all current aspell dictionary
    packages which install into /usr/lib/aspell-0.60.
  * debian/control: conflict with aspell6-dictionary packages, depend on
    aspell6a-dictionary packages instead
  * debian/control: merged aspell-bin back into aspell, since there really
    isn't any point in distinguishing between the two, especially when
    dictionary auto-hash-building becomes the norm.  It also eliminates a
    cyclical dependency on dictionaries that depend directly on aspell.
  * Added a NEWS.Debian.gz file documenting the dictionary transition
    details.

 -- Brian Nelson <pyro@debian.org>  Wed,  6 Jul 2005 23:47:11 -0700

aspell (0.60.3-1) unstable; urgency=low

  * New upstream release
    - Fixes a prompt in French transition to be o/n, not y/n
      (Closes: #310140)
    - Change of '-l' in aspell to mean '--lang' instead of '--list' as in
      0.50 now documented in upstream's README (Closes: #310911)
  * manual/aspell.1: removed documentation of "--ignore-accents" since
    it's not supported in 0.60
  * debian/control: bumped Standards-Version to 3.6.2
  * manual/aspell.1: applied patch from Jose Da Silva to fix some
    grammatical errors
  * Install manual/aspell.html/ChangeLog.html as the upstream changelog,
    since the root ChangeLog was removed

 -- Brian Nelson <pyro@debian.org>  Thu, 30 Jun 2005 18:15:41 +0300

aspell (0.60.2+20050121-3) unstable; urgency=low

  * debian/control: made aspell-bin depend on the Source-Version of
    libaspell15.  The /usr/bin/aspell binary uses some symbols that aren't
    exposed in the public aspell.h interface, so it requires a stricter
    version of the library than provides by shlibs. (Closes: #307481)
  * modules/speller/default/suggest.cpp: applied patch from upstream to
    fix the problem with ultra or fast not returing any suggestions with
    some languages
  * common/string.cpp: applied patch from upstream to fix a faulty sanity
    check in String::vprintf()
  * examples/example-c.c: applied patch from upstream with minor cleanups
    and bug fixes

 -- Brian Nelson <pyro@debian.org>  Sun, 22 May 2005 12:27:34 -0700

aspell (0.60.2+20050121-2) unstable; urgency=low

  * manual/aspell.1: '-l' is a synonym for '--lang', not 'list'
    (Closes: #301026)
  * debian/control: made aspell-doc suggest aspell (>> 0.60).  This is
    basically for documentation purposes to indicate which aspell version
    to which aspell-doc applies.  Inspired by but doesn't really fix
    #301201.

 -- Brian Nelson <pyro@debian.org>  Sun, 27 Mar 2005 21:39:00 -0800

aspell (0.60.2+20050121-1) unstable; urgency=low

  * New upstream pre-release
    - Fixes the 'Unhandled Error: The method "clear" is unimplemented in
      "WritableDict"' bug (Closes: #295748, #296397)

 -- Brian Nelson <pyro@debian.org>  Tue, 22 Feb 2005 16:44:14 -0800

aspell (0.60.2-2) unstable; urgency=low

  * Build-depend on libncursesw5-dev instead of libncurses5-dev, since
    Aspell needs the wide character support to properly display UTF-8
    documents.  Pointed out by Kevin Atkinson.

 -- Brian Nelson <pyro@debian.org>  Wed, 16 Feb 2005 16:10:07 -0800

aspell (0.60.2-1) unstable; urgency=low

  * New upstream release (Closes: #274514)
    - support for UTF-8 and other encodings (Closes: #131328, #170458)
    - affix compression support
    - manual converted to texinfo
    - loadable filter support
    - fixes --conf and --per-conf options (Closes: #228237)
    - fixes abort when --extra-dicts is used (Closes: #236823)
    - fixes infinite loop when trying to replace a word with the identical
      text (Closes: #261589)
  * debian/rules: converted to use cdbs
  * debian/control: added build-dep on cdbs
  * debian/control: removed Build-Depends-Indep because the manual no
    longer needs to be generated
  * Removed Debian-specific manpages, as these have now been included
    upstream.
  * debian/control: Depend on aspell-en | aspell6-dictionary, since the
    dictionary format has changed again.  Made libaspell15 conflict with
    aspell-dictionary, since dictionaries in that format are no longer
    usable.
  * Removed doc-base support since only the texinfo manuals are installed
    now.  Upstream still includes html documentation, though it's not
    installed in the install target, so it would be possible to resurrect
    if there's demand for it.
  * Eased the shlibs dependency tightness on libaspell15 by specifying a
    dependency of >= 0.60, instead of the full 0.60.x version.  Upstream
    uses proper versioning and won't change the API in 0.60.x releases, so
    this should be a safe setting.

 -- Brian Nelson <pyro@debian.org>  Sun, 13 Feb 2005 10:12:39 -0800

aspell (0.50.5-5) unstable; urgency=low

  * Included the contents of the GFDL license in the copyright file of the
    aspell-doc package to conform with policy.  Removed the separate FDL
    document.
  * Updated the manpages with newer ones from Aspell 0.60.

 -- Brian Nelson <pyro@debian.org>  Sat,  4 Dec 2004 13:14:38 -0800

aspell (0.50.5-4) unstable; urgency=low

  * debian/control: made libpspell-dev conflict with and replace
    libpspell4 since otherwise it may break upgrades from woody to sarge,
    apparently (Closes: #278166)

 -- Brian Nelson <pyro@debian.org>  Mon, 25 Oct 2004 09:35:02 -0700

aspell (0.50.5-3) unstable; urgency=medium

  * Applied a patch from upstream to fix a buffer overflow in the
    word-list-compress utility.  This is a minor security hole, so bumped
    the urgency to medium.
  * debian/rules: Don't pass a version value with "dh_makeshlibs -V".  The
    default is fine.
  * debian/rules: Don't set CC=g++ when running configure.  This was a
    hack to work around an old broken libtool and is no longer necessary.

 -- Brian Nelson <pyro@debian.org>  Fri, 25 Jun 2004 15:47:48 -0700

aspell (0.50.5-2) unstable; urgency=low

  * libaspell15 "Replaces: aspell-bg (<= 3.0-1)" due to that package
    erroneously including /usr/share/aspell/cp* files that are the domain
    of libaspell15. (Closes: #233511)

 -- Brian Nelson <pyro@debian.org>  Thu, 19 Feb 2004 12:24:51 -0800

aspell (0.50.5-1) unstable; urgency=low

  * New upstream release
  * Fixed spelling error in description (Closes: #222868)
  * Updated and improved the debian/copyright

 -- Brian Nelson <pyro@debian.org>  Wed, 11 Feb 2004 22:23:03 -0800

aspell (0.50.4.1-1) unstable; urgency=low

  * New upstream version
    - Integrates fix introduced in 0.50.4-2

 -- Brian Nelson <pyro@debian.org>  Sat, 15 Nov 2003 23:38:40 -0800

aspell (0.50.4-2) unstable; urgency=low

  * Applied patch from upstream to fix a bug causing Aspell to drop the
    last character in a word when saving the word to the personal
    dictionary, in some situations.

 -- Brian Nelson <pyro@debian.org>  Tue,  7 Oct 2003 18:47:04 -0700

aspell (0.50.4-1) unstable; urgency=low

  * New upstream release
    - Complain instead of doing nothing or aborting for unimplemented
      functions in Aspell utility, especially 'aspell filter'.
      (Closes: #189759)
    - Aspell API documentation fixes (Closes: #187290)
  * Integrate upstream fixes to #185142 as well as g++ 3.3 fixes.
  * Upstream now uses newer, less broken libtool, so there's no longer a
    need to rerun the autotool chain and include it in the .diff.gz.

 -- Brian Nelson <pyro@debian.org>  Sat,  4 Oct 2003 10:11:09 -0700

aspell (0.50.3-13) unstable; urgency=low

  * Added tetex-extra, gs-common, and psutils to the Build-Depends-Indep
    so that the postscript documents generated actually contain something
    (Closes: #206236)
  * Bumped up standards version to 3.6.1

 -- Brian Nelson <pyro@debian.org>  Sat, 23 Aug 2003 20:42:10 -0700

aspell (0.50.3-12) unstable; urgency=low

  * debian/rules: Use "DESTDIR" instead of "prefix" in install target, and
    pass configure --sysconfdir=/etc.  This will properly set the conf-dir
    to /etc instead of /usr/etc.  (Closes: #194480)
  * prog/checker_string.cpp: added an #include <cassert> to fix
    a failure-to-build with g++ 3.3.

 -- Brian Nelson <pyro@debian.org>  Fri, 23 May 2003 13:16:36 -0700

aspell (0.50.3-11) unstable; urgency=low

  * Removed unnecessary dh_testroot from debian/rules clean target.
  * Bumped up standards version.
  * Changed section of -dev packages to libdevel.
  * Fixed some minor mistakes in the aspell.1 manpage.
  * Reran autotools stuff and included in diff; don't run them at build
    time nor build-depend on them.

 -- Brian Nelson <pyro@debian.org>  Mon, 28 Apr 2003 10:12:02 -0700

aspell (0.50.3-10) unstable; urgency=low

  * Added a fix to prevent segfaults in the trim_wspace function in
    aspell.cpp. (Closes: #185142)

 -- Brian Nelson <pyro@debian.org>  Mon, 17 Mar 2003 13:04:29 -0800

aspell (0.50.3-9) unstable; urgency=low

  * Rewrote the aspell.1 manpage to get in sync with upstream's user manual.
  * Corrected an erroneous example in the aspell.1 that incorrectly
    documented use of the "lang" option.  This caused confusion on how to
    use this option.  Also, noted the correct usage in README.Debian.
    (Closes: #182077)
  * Added a copy of the FDL to reference from the aspell.1 manpage.
  * Added a debian/aspell-doc.copyright that notes the true license (FDL)
    of the aspell documentation.
  * Added libcurses5-dev as alternative to libcurses-dev in build-depends.
  * Added lintian overrides for false positives on spelling errors.

 -- Brian Nelson <pyro@debian.org>  Thu, 13 Mar 2003 01:49:10 -0800

aspell (0.50.3-8) unstable; urgency=low

  * Use debian/compat instead of DH_COMPAT=n in debian/rules.
  * Added the homepage to the description.
  * Disabled the static libraries again. According to upstream, libtool
    static C++ libraries don't work properly.
  * Added version info to shlibs.

 -- Brian Nelson <pyro@debian.org>  Wed,  5 Mar 2003 19:18:30 -0800

aspell (0.50.3-7) unstable; urgency=low

  * Fixed error in aspell-doc.doc-base.dev file path. (Closes: #183162)
  * Compress all .txt files in aspell-doc/man-text.

 -- Brian Nelson <pyro@debian.org>  Mon,  3 Mar 2003 20:30:19 -0800

aspell (0.50.3-6) unstable; urgency=low

  * Updated the copyright file.
  * Added doc-base support for aspell-doc's documentation.
  * Removed .tex, .lyx, .dvi, and dev-html/index.txt from aspell-doc.
  * Produce PostScript documentation in the build-indep target.
  * Added tetex-bin to Build-Depends-Indep.

 -- Brian Nelson <pyro@debian.org>  Thu, 27 Feb 2003 22:37:07 -0800

aspell (0.50.3-5) unstable; urgency=low

  * libaspell15 now Conflicts/Replaces with all of the old libaspell's to
    ensure they aren't left lying around from old installations.
    (Closes: #179466)
  * Commented out the AC_DISABLE_STATIC macro in configure.ac so that the
    static library is built, as required by Policy 11.2.
  * Updated maintainer email address.

 -- Brian Nelson <pyro@debian.org>  Wed, 19 Feb 2003 18:05:18 -0800

aspell (0.50.3-4) unstable; urgency=low

  * Moved /usr/share/aspell/* from aspell-bin back to libaspell where they
    belong. (Closes: #179173)

 -- Brian Nelson <nelson@bignachos.com>  Fri, 31 Jan 2003 08:54:28 -0800

aspell (0.50.3-3) unstable; urgency=low

  * Bumped up Build-depends to automake1.7, since this is what upstream
    uses.  Modified debian/rules accordingly.
  * Install upstream's changelog.
  * Conflict with aspell-bg (<= 2.0-2.2).
  * Moved pspell-config and its manpage to libpspell-dev.  It had
    inadvertently been moved from libpspell to aspell-bin. (Closes: #178637)
  * Improved the package descriptions.  Thanks Filip Van Raemdonck
    <mechanix@debian.org> for the suggestions. (Closes: #177528)
  * Things to note that were not mentioned in changelog for the 0.33.x to
    0.50.x release:
    - The library sonames changed, so no explicit action was necessary for
      the GCC 3.2 transition.
    - libaspell15 explicitly conflicts with every old aspell-dictionary
      package.  Since the dictionary format changed, libaspell15 is unable
      to coexist with older libaspell libraries as the libraries would not
      be able to share dictionaries (and quiet breakage would occur).

 -- Brian Nelson <nelson@bignachos.com>  Tue, 28 Jan 2003 16:58:30 -0800

aspell (0.50.3-2) unstable; urgency=low

  * Added a Conflicts with libpspell4c102.
  * Moved libpspell15 library to libaspell11 package since it's only a 3k
    library.
  * Renamed libaspell11 to libaspell15 to match the library's soname.

 -- Brian Nelson <nelson@bignachos.com>  Wed, 15 Jan 2003 13:27:05 -0800

aspell (0.50.3-1) unstable; urgency=low

  * New upstream release (Closes: #163989, #169890)
  * Updated copyright file
  * Set CC=g++ when running configure to work around a bug causing the
    libraries to not build and link properly.
  * Removed  build-dep on libltdl is  since it is no longer used
    (Closes: #172098)
  * Made aspell a meta-package that depends on aspell-bin and an
    dictionary (Closes: #140183)
  * The libpspell_aspell library is obsolete and no longer included in the
    package (Closes: #160453)
  * Updated for Debian policy version 3.5.8.0
  * Wrote a new manpage for aspell-import
  * aspell-en is now distributed in a separate package
  * Remove the .aux temporary files from aspell-doc (Closes: #156686)

 -- Brian Nelson <nelson@bignachos.com>  Mon,  9 Dec 2002 22:22:47 -0800

aspell (0.33.7.1-12) unstable; urgency=low

  * New maintainer
  * Changed Architecture fields to "any" now that the libtool bug causing
    the FTBFS on hppa has hopefully been fixed (Closes: #139515)
  * Add the correct copyright file to aspell-en

 -- Brian Nelson <nelson@bignachos.com>  Tue, 26 Nov 2002 23:52:53 -0800

aspell (0.33.7.1-11) unstable; urgency=low

  * New Maintainer (Closes: #148990)
  * Remove bashism from debian/rules.

 -- Peter Makholm <peter@makholm.net>  Thu,  1 Aug 2002 12:15:17 +0200

aspell (0.33.7.1-10) unstable; urgency=low

  * Adjusted Architecture fields in order to build only on systems that
    do not use gcc 3.0 as the default compiler. These actually are hppa.

 -- Domenico Andreoli <cavok@debian.org>  Mon, 22 Apr 2002 18:35:28 +0200

aspell (0.33.7.1-9) unstable; urgency=low

  * Started using aspell-dictionary virtual package.
  * Added spellutils to Suggests.
  * Added autotools-dev to Build-Depends. config.{guess,sub} are now
    updated from /usr/share/misc at build time.

 -- Domenico Andreoli <cavok@debian.org>  Thu, 21 Mar 2002 12:28:24 +0100

aspell (0.33.7.1-8) unstable; urgency=low

  * Updated config.{guess,sub} to allow (maybe) building on mipsel
    (Closes: #132351).
  * libpspell4 minimum required version for build is now 0.12.2-5.

 -- Domenico Andreoli <cavok@debian.org>  Tue,  5 Feb 2002 18:58:44 +0100

aspell (0.33.7.1-7) unstable; urgency=low

  * aspell-en Replaces older libaspell10 packages (Closes: #131408).
  * libaspell10 is back Recommends-ing at least one of the available
    dictionaries.  This breaks the dependency loop introduced in -5
    (Closes: #131290).

 -- Domenico Andreoli <cavok@debian.org>  Tue, 29 Jan 2002 18:43:26 +0100

aspell (0.33.7.1-6) unstable; urgency=low

  * Fixed aspell-en dependencies to cope with older libaspell packages
    (Closes: #130306, #130454).

 -- Domenico Andreoli <cavok@debian.org>  Wed, 23 Jan 2002 20:09:59 +0100

aspell (0.33.7.1-5) unstable; urgency=low

  * At least one dictionary is now required instead of being only
    recommended, as it was until this release (Closes: #126594).

 -- Domenico Andreoli <cavok@debian.org>  Mon,  7 Jan 2002 22:58:36 +0100

aspell (0.33.7.1-4) unstable; urgency=low

  * Strictened aspell-en dependencies. Now libaspell10 (>= 0.33.7.1-3)
    is required (Closes: #121840).
  * libaspell10 now suggests aspell (as it was before 0.33.7.1-1).
  * Standards version is now 3.5.6.

 -- Domenico Andreoli <cavok@debian.org>  Sun,  2 Dec 2001 13:26:03 +0100

aspell (0.33.7.1-3) unstable; urgency=low

  * More language dictionaries are available (Closes: #82880). aspell
    recommends (but not strictly requires) at least one of them.
  * Now separate aspell-en package is generated, just in case one didn't
    want to install it.
  * Added support for DVORAK keyboard (closes: #114048).
  * Fixed ./configure, now it uses "lt_cv_deplibs_check_method=pass_all"
    also on ARM arch (Closes: #120395).

 -- Domenico Andreoli <cavok@debian.org>  Sun, 18 Nov 2001 18:57:49 +0100

aspell (0.33.7.1-2) unstable; urgency=low

  * Fixed pointers to /usr/doc (now /usr/share/doc) in aspell man page
    and all the pointers to /usr/share/doc/aspell-doc/man-txt (now
    /usr/share/doc/aspell-doc/man-text) in man pages (Closes: #111931).
  * Added pointers to /usr/share/doc/aspell-doc documentation in
    word-list-compress man page.

 -- Domenico Andreoli <cavok@debian.org>  Sun, 16 Sep 2001 22:50:47 +0200

aspell (0.33.7.1-1) unstable; urgency=low

  * New upstream version.
  * Reworked package relationships:
    - added libstdc++-dev to Build-Depends
    - added aspell-da to aspell's Suggests
    - removed Suggests from libaspell10
    - removed aspell from libaspell-dev's Suggests

 -- Domenico Andreoli <cavok@debian.org>  Sat,  1 Sep 2001 13:59:25 +0200

aspell (0.33.7-2) unstable; urgency=low

  * Strictened build dependencies on libpspell-dev (Closes: #109777).
  * Moved libpspell_aspell.la from libaspell-dev to libaspell10
    (Closes: #86914).

 -- Domenico Andreoli <cavok@debian.org>  Mon, 27 Aug 2001 17:02:16 +0200

aspell (0.33.7-1) unstable; urgency=low

  * New upstream version, it compiles with gcc 3.0 (Closes: #106443).
  * New maintainer
    (Closes: #107416, #107417, #107418, #107419, #107420, #107422, #107423).
  * Acknowledged NMUs
    (Closes: #83853, #94597, #98685, #104372, #90437, #101450, #101770).
  * Fixed pointers to /usr/doc (now /usr/share/doc) in run-with-aspell
    man page, patch courtesy of Stephen Stafford (Closes: #103172).

 -- Domenico Andreoli <cavok@debian.org>  Tue, 14 Aug 2001 01:37:19 +0200

aspell (0.32.6-3.4) unstable; urgency=low

  * Non Maintainer Upload.
  * Fixed missing libtool in Build-Depends (Closes: #104372).

 -- Domenico Andreoli <cavok@debian.org>  Fri, 13 Jul 2001 18:21:22 +0200

aspell (0.32.6-3.3) unstable; urgency=low

  * Non Maintainer Upload.
  * libtool stuff has been upgraded (Closes: #94597).

 -- Domenico Andreoli <cavok@debian.org>  Tue, 10 Jul 2001 15:42:07 +0200

aspell (0.32.6-3.2) unstable; urgency=low

  * Non Maintainer Upload.
  * Fixed Build-Depends, now uses libltdl3-dev (instead of libltdl0-dev).
  * Recompiled with more recent packages (Closes: #98685).
  * libpspell-impl seems to be loaded ok now (Closes: #90437).
  * Added man page for word-list-compress, patch courtesy of Aaron Lehmann
    (Closes: #101450).
  * Added entry in libaspell8.shlibs for libpspell_aspell library.

 -- Domenico Andreoli <cavok@debian.org>  Thu, 14 Jun 2001 01:13:30 +0200

aspell (0.32.6-3.1) unstable; urgency=low

  * Non Maintainer Upload.
  * Added the missing build dependencies on libpspell-dev and libltdl0-dev
    (Closes: #83853).
  * Standards-Version: 3.1.1

 -- Adrian Bunk <bunk@fs.tum.de>  Sat, 24 Feb 2001 02:13:58 +0100

aspell (0.32.6-3) unstable; urgency=low

  * Fixing bug # 75914

 -- Sudhakar Chandrasekharan <thaths@netscape.com>  Wed, 17 Jan 2001 17:45:52 -0800

aspell (0.32.6-2) unstable; urgency=low

  * Fixed .shlibs file, it was pointing to libaspell6.

 -- Sudhakar Chandrasekharan <thaths@netscape.com>  Tue, 16 Jan 2001 18:01:58 -0800

aspell (0.32.6-1) unstable; urgency=low

  * New upstream version.

 -- Sudhakar Chandrasekharan <thaths@netscape.com>  Fri,  5 Jan 2001 13:56:36 -0800

aspell (0.31-1) unstable; urgency=low

  * New upstream version. This version works with libpspell2.

 -- Sudhakar Chandrasekharan <thaths@netscape.com>  Wed, 14 Jun 2000 17:30:00 -0700

aspell (0.30.1-1) unstable; urgency=low

  * New upstream version.

 -- Sudhakar Chandrasekharan <thaths@netscape.com>  Mon,  1 May 2000 17:18:09 -0700

aspell (0.30-1) unstable; urgency=low

  * New upstream version.
  * aspell now uses the pspell (separate Debian package) spell library.

 -- Sudhakar Chandrasekharan <thaths@netscape.com>  Tue,  4 Apr 2000 14:04:18 -0700

aspell (0.29.1-2) unstable; urgency=low

  * Compiling for release into woody

 -- Sudhakar Chandrasekharan <thaths@netscape.com>  Tue, 14 Mar 2000 17:31:08 -0800

aspell (0.29.1-1) frozen; urgency=high

  * New upstream version.
  * On the packaging side:
    - Fixed crash on powerpc (Closes: #58358)
    - Fixed empty README.Debian (Closes: #54378)

 -- Sudhakar Chandrasekharan <thaths@netscape.com>  Mon, 21 Feb 2000 11:24:24 -0800

aspell (0.29-1) unstable; urgency=low

  * New upstream version. Changes includes:
    - Rudimentary filter support for HTML, TeX etc.
    - Reworked replacement suggestion code for better results
    - Table driven phonetic code

 -- Sudhakar Chandrasekharan <thaths@netscape.com>  Tue,  8 Feb 2000 13:33:38 -0800

aspell (0.28.3-2) unstable; urgency=low

  * Fixing bug # 54378

 -- Sudhakar Chandrasekharan <thaths@netscape.com>  Mon, 10 Jan 2000 11:55:54 -0800

aspell (0.28.3-1) unstable; urgency=low

  * New upstream version. Changes includes:
    - Fixed a bug that caused aspell to crash when spell checking words over 60
      characters long.
    - Reworked ``aspell check'' so that
      1. You no longer have to hit enter when making a choice.
      2. It will now overwrite the original file instead of creating a
         new file. An optional backup can be made by using the -b
         option.
    - Fixed a few bugs in data.cc.

 -- Sudhakar Chandrasekharan <thaths@netscape.com>  Tue, 23 Nov 1999 10:51:10 -0800

aspell (0.28.2.1-3) unstable; urgency=low

  * Fixing file conflict (Closes: #47294, #47316).

 -- Sudhakar Chandrasekharan <thaths@netscape.com>  Wed, 13 Oct 1999 11:53:27 -0700

aspell (0.28.2.1-2) unstable; urgency=low

  * Moved /usr/share/aspell from aspell package to the libaspell one
    (Closes: #46472).

 -- Sudhakar Chandrasekharan <thaths@netscape.com>  Mon, 11 Oct 1999 11:13:57 -0700

aspell (0.28.2.1-1) unstable; urgency=low

  * New upstream version.

 -- Sudhakar Chandrasekharan <thaths@netscape.com>  Mon, 27 Sep 1999 13:47:13 -0700

aspell (0.28.1-3) unstable; urgency=low

  * Fixing bug # 42652.  Made call to ldconfig conditional in
    libaspell?.postinst

 -- Sudhakar Chandrasekharan <thaths@netscape.com>  Mon,  9 Aug 1999 18:04:49 -0700

aspell (0.28.1-2) unstable; urgency=low

  * Fixing bugs #42193 and #42194

 -- Sudhakar Chandrasekharan <thaths@netscape.com>  Fri, 30 Jul 1999 10:08:06 -0700

aspell (0.28.1-1) unstable; urgency=low

  * New upstream version, fixes minor bugs.

 -- Sudhakar Chandrasekharan <thaths@netscape.com>  Wed, 28 Jul 1999 09:43:41 -0700

aspell (0.28-1) unstable; urgency=low

  * New upstream version.

 -- Sudhakar Chandrasekharan <thaths@netscape.com>  Mon, 26 Jul 1999 17:52:02 -0700

aspell (0.27.2-2) unstable; urgency=low

  * Fixed bug #38006.

 -- Sudhakar Chandrasekharan <thaths@netscape.com>  Wed, 21 Jul 1999 14:20:19 -0700

aspell (0.27.2-1) unstable; urgency=low

  * New upstream version (Closes: #34441, #35575).

 -- Sudhakar Chandrasekharan <thaths@netscape.com>  Wed, 14 Apr 1999 14:42:47 -0700

aspell (0.27-3) unstable; urgency=low

  * Moved libaspell1 to section libs from section devel.

 -- Sudhakar Chandrasekharan <thaths@netscape.com>  Tue,  9 Mar 1999 14:35:14 -0800

aspell (0.27-2) unstable; urgency=low

  * Fixed path in SEE ALSO section of the man page (Closes: #34176).

 -- Sudhakar Chandrasekharan <thaths@netscape.com>  Mon,  8 Mar 1999 10:15:56 -0800

aspell (0.27-1) unstable; urgency=low

  * New upstream version.

 -- Sudhakar Chandrasekharan <thaths@netscape.com>  Wed, 24 Feb 1999 13:41:15 -0800

aspell (0.26.2-2) unstable; urgency=low

  * Fixed copyright. aspell is licensed under LGPL and not GPL.  Also corrected
    the description of the various packages in the control file.

 -- Sudhakar Chandrasekharan <thaths@netscape.com>  Tue, 16 Feb 1999 11:24:30 -0800

aspell (0.26.2-1) unstable; urgency=low

  * Initial Release.

 -- Sudhakar Chandrasekharan <thaths@netscape.com>  Mon,  8 Feb 1999 14:49:01 -0800
